View Issue Details

IDProjectCategoryView StatusLast Update
0000349FreeCADFeaturepublic2011-05-21 11:38
ReporternormandcAssigned To 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Versiontrunk 
Target VersionFixed in Version0.12 
Summary0000349: Using thumbnail for FreeCAD document icon
DescriptionFreeCAD has a setting to save a thumbnail into the project file when saving the document. But as far as I know, it is not used.

It would be nice if this thumbnail could be used as the document icon instead of the generic document icon. On Ubuntu (GNOME desktop), the icon used is the generic one for a text file (see attached pic).
TagsNo tags attached.

Activities

2011-05-14 17:58

 

freecad_generic_icon.png (Attachment missing)

2011-05-14 18:59

 

freecad-doc.png (Attachment missing)

normandc

2011-05-14 18:59

manager   ~0000812

Or at least, a personalized FreeCAD icon would be nice. I made this one quickly (attached freecad-doc.png icon), I'm sure Yorik could do something far better.

yorik

2011-05-15 14:08

administrator   ~0000815

Actually it used to work fine, but indeed I see now that on my system it doesn't work anymore either. The thumbnail is correctly included in the file, and the thumbnailer seems to work OK too. Maybe something changed with mime types or something...

yorik

2011-05-15 14:27

administrator   ~0000818

Hm looking better, my thunar got upgraded and several thumbnailers stopped to work (evince, ffmpeg, etc). So the problem might not be in freecad. I'll investigate more.

normandc

2011-05-15 14:36

manager   ~0000820

See forum discussion and werner's comments. It seems it was deactivated.

http://forum.freecadweb.org/viewtopic.php?f=3&t=994

Jriegel

2011-05-17 10:03

administrator   ~0000832

We need more information about that. It will IMO heavily depend on the
distro and window manager / explorer....

wmayer

2011-05-21 11:38

administrator   ~0000856

The according debian packaging files are fixed so that it should work properly again. In case a FreeCAD project doesn't contain a thumbnail the standard icon "freecad-doc.png" will be used, then.

For Lucid & Natty the packaging files are updated so that only new binary packages needs to be built.

Issue History

Date Modified Username Field Change
2011-05-14 17:58 normandc New Issue
2011-05-14 17:58 normandc File Added: freecad_generic_icon.png
2011-05-14 18:59 normandc File Added: freecad-doc.png
2011-05-14 18:59 normandc Note Added: 0000812
2011-05-15 14:08 yorik Note Added: 0000815
2011-05-15 14:27 yorik Note Added: 0000818
2011-05-15 14:36 normandc Note Added: 0000820
2011-05-17 10:03 Jriegel Note Added: 0000832
2011-05-17 10:03 Jriegel Status new => feedback
2011-05-21 11:38 wmayer Note Added: 0000856
2011-05-21 11:38 wmayer Status feedback => closed
2011-05-21 11:38 wmayer Resolution open => fixed
2011-05-21 11:38 wmayer Fixed in Version => 0.12